organism <- "Drosophila melanogaster"
provider <- "FlyBase"
release <- "r5.1"
source_url <- "ftp://flybase.net/genomes/Drosophila_melanogaster/dmel_r5.1/fasta"

# The sequence names are based on the FlyBase file names (FASTA files,
# "dmel-" prefix and "-chromosome-r5.1.fasta" suffix omitted):
seqnames <- c(
    "2L",
    "2R",
    "3L",
    "3R",
    "4",
    "X",
    "U",
    "2LHet",
    "2RHet",
    "3LHet",
    "3RHet",
    "XHet",
    "YHet",
    "dmel_mitochondrion_genome"
)
mseqnames <- character(0)

# DON'T FORGET TO EXPORT THIS NAME!
Dmelanogaster <- new("BSgenome", organism, provider,
                     release, source_url, seqnames, mseqnames,
                     "BSgenome.Dmelanogaster.FlyBase.r51", "extdata")
